// Copyright 2004-2006, FreeHEP.
package org.freehep.graphicsio.latex;

import java.awt.Component;
import java.io.IOException;
import java.io.OutputStream;

import org.freehep.graphics2d.VectorGraphics;
import org.freehep.graphicsio.exportchooser.AbstractExportFileType;

/**
 * 
 * @author Andre Bach
 * @version $Id: LatexExportFileType.java,v 1.1 2010/09/28 07:35:42 minemoto Exp $
 */
public class LatexExportFileType extends AbstractExportFileType {

    public String getDescription() {
        return "LaTeX";
    }

    public String[] getExtensions() {
        return new String[] { "tex" };
    }

    public String[] getMIMETypes() {
        return new String[] { "image/tex" };
    }

    public VectorGraphics getGraphics(OutputStream os, Component target)
            throws IOException {
        // Not sure what the value of the boolean should be. Or add another
        // constructor?
        return new LatexGraphics2D(os, target, false);
    }
}
