package jp.riken.brain.ni.samuraigraph.data;

import jp.riken.brain.ni.samuraigraph.base.SGValueRange;


/**
 * An interface for the three-dimensional data.
 */
public interface SGIThreeDimensionalData extends SGITwoDimensionalData {

    /**
     * Returns the bounds of z-values.
     * 
     * @return the bounds of z-values
     */
    public SGValueRange getBoundsZ();
    
    /**
     * Returns the title of z-values.
     * 
     * @return
     *         the title of z-values
     */
    public String getTitleZ();
    
}
