// Copyright 2001, FreeHEP.
package org.freehep.graphicsio.cgm;

import java.io.IOException;

/**
 * EndSegment TAG.
 * 
 * @author Mark Donszelmann
 * @author Charles Loomis
 * @version $Id: EndSegment.java,v 1.1 2010/09/28 07:35:40 minemoto Exp $
 */
public class EndSegment extends CGMTag {

    public EndSegment() {
        super(0, 7, 2);
    }

    public void write(int tagID, CGMWriter cgm) throws IOException {
        cgm.outdent();
        cgm.print("ENDSEG");
    }
}
