// Copyright 2006, FreeHEP
package org.freehep.graphicsio.test;

import java.io.InputStream;
import java.io.InputStreamReader;

import jas.hist.JASHist;
import jas.hist.XMLHistBuilder;

/**
 * 
 * @author Mark Donszelmann
 * @version $Id: TestHistogram.java,v 1.1 2010/09/28 07:35:45 minemoto Exp $
 */
public class TestHistogram extends TestingPanel {

	private JASHist plot;

	public TestHistogram(String[] args) throws Exception {

		super(args);
		setName("Histogram");

		String plotml = "TestHistogram.plotml";
		InputStream in = getClass().getResourceAsStream(plotml);
		XMLHistBuilder xhb = new XMLHistBuilder(new InputStreamReader(in), plotml);
		plot = xhb.getSoloPlot();
		plot.setAllowUserInteraction(false);
        add(plot);
	}

	public static void main(String[] args) throws Exception {
		new TestHistogram(args).runTest();
	}

}
